/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:00:21.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.utils.HttpUtils;
import okhttp3.Request;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static cn.com.qmth.examcloud.app.model.Constants.PARAM_KEY;
import static cn.com.qmth.examcloud.app.model.Constants.PARAM_TOKEN;

/**
 * 题库业务服务接口
 */
@Service
public class QuestionPoolService {
    private static Logger log = LoggerFactory.getLogger(QuestionPoolService.class);
    @Autowired
    private PropertyService propertyService;

    public String downloadPaper(String paperId, String orgName) throws Exception {
        //封装请求参数
        return String.format(propertyService.getQuestionPoolUrl() + "/api/ecs_ques/paper/export/%s/PAPER/%s/%s/offLine", paperId, orgName, paperId);
    }

    public Result getPaperDetail(String key, String token, String paperId) throws Exception {
        final String requestUrl = String.format(propertyService.getQuestionPoolUrl() + "/api/ecs_ques/paper/%s", paperId);
        //封装请求参数
        Request request = new Request.Builder()
                .url(requestUrl)
                .get()
                .addHeader(PARAM_KEY, key)
                .addHeader(PARAM_TOKEN, token)
                .build();
        //执行请求
        return HttpUtils.call(request);
    }

}